Loading...
Searching...
No Matches
dvbt2_modulator_bc.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015,2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVBT2_MODULATOR_BC_H
#define INCLUDED_DTV_DVBT2_MODULATOR_BC_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/dtv/dvbt2_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Modulates DVB-T2 cells.
* \ingroup dtv
*
* Input: Bit interleaved (with column twist and bit to cell word de-multiplexing) cells.
* \n Output: QPSK, 16QAM, 64QAM or 256QAM modulated complex IQ values (cells).
*/
class DTV_API dvbt2_modulator_bc : virtual public gr::block
{
public:
typedef std::shared_ptr<dvbt2_modulator_bc> sptr;
/*!
* \brief Create a DVB-T2 constellation modulator.
*
* \param framesize FEC frame size (normal or short).
* \param constellation DVB-T2 constellation.
* \param rotation DVB-T2 constellation rotation (on or off).
*/
static sptr make(dvb_framesize_t framesize,
dvb_constellation_t constellation,
dvbt2_rotation_t rotation);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVBT2_MODULATOR_BC_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvbt2_modulator_bc
Modulates DVB-T2 cells.
Definition dvbt2_modulator_bc.h:28
gr::dtv::dvbt2_modulator_bc::sptr
std::shared_ptr< dvbt2_modulator_bc > sptr
Definition dvbt2_modulator_bc.h:30
gr::dtv::dvbt2_modulator_bc::make
static sptr make(dvb_framesize_t framesize, dvb_constellation_t constellation, dvbt2_rotation_t rotation)
Create a DVB-T2 constellation modulator.
dvb_config.h
dvbt2_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv
Definition atsc_consts.h:17
gr::dtv::dvb_framesize_t
dvb_framesize_t
Definition dvb_config.h:73
gr::dtv::dvbt2_rotation_t
dvbt2_rotation_t
Definition dvbt2_config.h:14
gr::dtv::dvb_constellation_t
dvb_constellation_t
Definition dvb_config.h:79
gr
GNU Radio logging wrapper.
Definition basic_block.h:29